# Files

Provides functionalities for uploading, downloading and deleting files.

 - [POST /v5/files/upload](https://developer.cdq.com/apis/data-exchange-api/api-v5/files/paths/~1v5~1files~1upload/post.md): Create a file in the file storage using the url provided. Maximum allowed file size is 300 MiB.
 - [GET /v5/files](https://developer.cdq.com/apis/data-exchange-api/api-v5/files/paths/~1v5~1files/get.md): Returns a list of all files that are available at the specific url path.
 - [POST /v5/files/download](https://developer.cdq.com/apis/data-exchange-api/api-v5/files/paths/~1v5~1files~1download/post.md): Request a download link for a file stored in CDQ Cloud. Files undergo mandatory malware scanning before they become available for download. The response returns HTTP 200 or 400, depending on scan stat
 - [DELETE /files](https://developer.cdq.com/apis/data-exchange-api/api-v5/files/paths/~1files/delete.md): Delete files in the customer-uploads directory using the provided urls.
 - [GET /files/resources](https://developer.cdq.com/apis/data-exchange-api/api-v5/files/paths/~1files~1resources/get.md): Returns list of all resources, which are available at the specific url path.
